<?php
/** @var \Magento\Wishlist\Block\Customer\Wishlist\Item\Column\Cart $block */
/** @var \Magento\Wishlist\Model\Item $item */
$item = $block->getItem();

$product = $item->getProduct();
$infoRequest =  $item->getBuyRequest()->getData();

$price = isset($infoRequest['custom_our_price']) ? $infoRequest['custom_our_price'] : 0;
$offerId = isset($infoRequest['request_offer_id']) ? $infoRequest['request_offer_id'] : '';
$projectName = isset($infoRequest['custom_project_name']) ? $infoRequest['custom_project_name'] : '';
if($price > 0) {

}
else {
     $price = $product->getFinalPrice();
}
// echo $price;
$priceHelper = $this->helper('Magento\Framework\Pricing\Helper\Data');
?>
<div class="price-box price-configured_price" data-role="priceBox" data-product-id="<?php echo $product->getId() ?>" data-price-box="product-id-<?php echo $product->getId() ?>">        <p class="price-as-configured">

    <span class="price-container price-configured_price tax weee">
            <span id="product-price-21" data-price-amount="<?php echo $price; ?>" data-price-type="finalPrice" class="price-wrapper "><span class="price"><?php echo $priceHelper->currency($price, true, false) ?></span></span>
            </span>
        </p>
    </div>
    <div>
        <span>
            <span class="offerbold">Offer ID: </span><?php echo $offerId; ?>
        </span>
    </div>
    <div>
        <span>
            <span class="offerbold">Project name: </span><?php echo $projectName; ?>
        </span>
    </div>
